Package org.stianloader.micromixin.transform.internal.annotation

## Class ConstantSelector

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.ConstantSelector

Direct Known Subclasses:
  `ClassConstantSelector`, `DoubleConstantSelector`, `FloatConstantSelector`, `IntConstantSelector`, `LongConstantSelector`, `NullConstantSelector`, `StringConstantSelector`, `WildcardConstantSelector`

    public abstract class ConstantSelector
    extends java.lang.Object

### Constructor Summary

Constructors
`ConstantSelector()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `matchesConstant​(org.objectweb.asm.tree.AbstractInsnNode insn)`
`static ConstantSelector` `parse​(java.util.List<java.lang.String> args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstantSelector

    public ConstantSelector()

### Method Detail

#### parse

    @NotNull
    public static ConstantSelector parse​(@NotNull
                                         java.util.List<java.lang.String> args)

#### matchesConstant

    public abstract boolean matchesConstant​(@NotNull
                                            org.objectweb.asm.tree.AbstractInsnNode insn)